HeaderClosedCompletePartitionPackImpl (Media Authoring with Java API)
Date: 2016-02-05

tv.amwa.maj.io.mxf.impl

## Class HeaderClosedCompletePartitionPackImpl

- java.lang.Object
- - tv.amwa.maj.io.mxf.impl.PartitionPackImpl
  - - tv.amwa.maj.io.mxf.impl.HeaderPartitionPackImpl
    - - tv.amwa.maj.io.mxf.impl.HeaderClosedCompletePartitionPackImpl

- All Implemented Interfaces:
    Cloneable, MetadataObject, FixedLengthPack, HeaderClosedCompletePartitionPack, HeaderPartitionPack, MXFUnit, Padded, PartitionPack

      @MediaClass(uuid1=218169857,
                  uuid2=258,
                  uuid3=1024,
                  uuid4={6,14,43,52,2,5,1,1},
                  definedName="HeaderClosedCompletePartitionPack",
                  description="A header closed complete partition pack describes a the first partition within a closed and compelte MXF file.",
                  namespace="http://www.smpte-ra.org/rp210",
                  prefix="mxf",
                  symbol="HeaderClosedCompletePartitionPack")
      public class HeaderClosedCompletePartitionPackImpl
      extends HeaderPartitionPackImpl
      implements HeaderClosedCompletePartitionPack, Cloneable

- - ### Field Summary

    - ### Fields inherited from class tv.amwa.maj.io.mxf.impl.PartitionPackImpl

      `packOrder`

    - ### Fields inherited from interface tv.amwa.maj.io.mxf.PartitionPack

      `BODYSID_DEFAULT, FOOTERPARTITION_DEFAULT, HEADERBYTECOUNT_DEFAULT, INDEXBYTECOUNT_DEFAULT, INDEXSID_DEFAULT, MAJORVERSION_DEFAULT, MINORVERSION_DEFAULT, PREVIOUSPARTITION_DEFAULT`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `HeaderClosedCompletePartitionPackImpl()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `HeaderClosedCompletePartitionPack` | `clone()` Create a cloned copy of this partition pack.
    `UnitType` | `getUnitType()`

    - ### Methods inherited from class tv.amwa.maj.io.mxf.impl.PartitionPackImpl

      `addEssenceContainer, getBodyOffset, getBodySID, getEncodedSize, getEssenceContainers, getFooterPartition, getHeaderByteCount, getIndexByteCount, getIndexSID, getKagSize, getMajorVersion, getMinorVersion, getOperationalPattern, getPackOrder, getPaddingFillSize, getPreviousPartition, getThisPartition, initializeBodyOffset, initializeBodySID, initializeEssenceContainers, initializeFooterPartition, initializeHeaderByteCount, initializeIndexByteCount, initializeIndexSID, initializeKAGSize, initializeMajorVersion, initializeMinorVersion, initializeOperationalPattern, initializePackClasses, initializePreviousPartition, initializeThisPartition, readPartitionPack, setBodyOffset, setBodySID, setEssenceContainers, setFooterPartition, setHeaderByteCount, setIndexByteCount, setIndexSID, setKagSize, setMajorVersion, setMinorVersion, setOperationalPattern, setPaddingFillSize, setPreviousPartition, setThisPartition, toString`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface tv.amwa.maj.io.mxf.PartitionPack

      `addEssenceContainer, getBodyOffset, getBodySID, getEncodedSize, getEssenceContainers, getFooterPartition, getHeaderByteCount, getIndexByteCount, getIndexSID, getKagSize, getMajorVersion, getMinorVersion, getOperationalPattern, getPreviousPartition, getThisPartition, setBodyOffset, setBodySID, setEssenceContainers, setFooterPartition, setHeaderByteCount, setIndexByteCount, setIndexSID, setKagSize, setMajorVersion, setMinorVersion, setOperationalPattern, setPreviousPartition, setThisPartition`

    - ### Methods inherited from interface tv.amwa.maj.io.mxf.Padded

      `getPaddingFillSize, setPaddingFillSize`

- - ### Constructor Detail

    - #### HeaderClosedCompletePartitionPackImpl

          public HeaderClosedCompletePartitionPackImpl()

  - ### Method Detail

    - #### clone

          public HeaderClosedCompletePartitionPack clone()

      Description copied from interface: `PartitionPack`

      Create a cloned copy of this partition pack.

      Specified by:
        `clone` in interface `HeaderClosedCompletePartitionPack`
      Specified by:
        `clone` in interface `HeaderPartitionPack`
      Specified by:
        `clone` in interface `PartitionPack`
      Overrides:
        `clone` in class `HeaderPartitionPackImpl`
      Returns:
        Cloned copy of this partition pack.

    - #### getUnitType

          public UnitType getUnitType()

      Specified by:
        `getUnitType` in interface `MXFUnit`

(c)2007-2016 Richard Cartwright, all rights reserved. Licensed under Apache 2 license and subject to the AMWA IPR policy.